Debian Bug report logs - #669172
libc6: preinst fails in -28 and since then also in -27

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Axel Beckert <abe@debian.org>

Date: Tue, 17 Apr 2012 22:18:02 UTC

Severity: grave

Found in versions eglibc/2.13-29, eglibc/2.13-28

Fixed in version eglibc/2.13-30

Done: Adam Conrad <adconrad@0c3.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#669172; Package src:libc6. (Tue, 17 Apr 2012 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Tue, 17 Apr 2012 22:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libc6: preinst fails in -28 and since then also in -27
Date: Wed, 18 Apr 2012 00:08:09 +0200
Source: libc6
Version: 2.13-28
Severity: grave

Upgrading libc6 from 2.13-27 to 2.13-28 failed for me on amd64 as follows:

Preparing to replace libc6:amd64 2.13-27 (using libc6_2.13-28_amd64.deb) ...
dpkg: error processing libc6_2.13-28_amd64.deb (--install):
 subprocess new pre-installation script returned error exit status 2

Downgrading failed with the same error message and now even reinstalling 2.13-27 fails:

Preparing to replace libc6:amd64 2.13-27 (using libc6_2.13-27_amd64.deb) ...
dpkg: error processing libc6_2.13-27_amd64.deb (--install):
 subprocess new pre-installation script returned error exit status 2

It worked fine for me on i386 on another box, but there were reports
from others on #debian-devel that it worked fine for them on amd64 or
failed for them on both.

# dpkg -l | grep libc6
ii  libc6:amd64   2.13-27   Embedded GNU C Library: Shared libraries
rc  libc6:i386    2.13-27   Embedded GNU C Library: Shared libraries
ii  libc6-dev     2.13-27   Embedded GNU C Library: Development Libraries and Header Files
rc  libc6-i386    2.13-24   Embedded GNU C Library: 32-bit shared libraries for AMD64

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (600, 'testing'), (400, 'stable'), (110, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.3.0-trunk-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'src:libc6' to 'libc6'. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 22:51:10 GMT) Full text and rfc822 format available.

No longer marked as found in versions libc6/2.13-28. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 22:51:11 GMT) Full text and rfc822 format available.

Marked as found in versions eglibc/2.13-28. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 17 Apr 2012 22:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#669172; Package libc6. (Tue, 17 Apr 2012 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Conrad <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 17 Apr 2012 23:18:02 GMT) Full text and rfc822 format available.

Message #16 received at 669172@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 669172@bugs.debian.org
Subject: libc6: preinst fails in -28 and since then also in -27
Date: Tue, 17 Apr 2012 22:38:21 +0000
The reason this fails in -27 as well as -28 is because it has
nothing to do with -28, it just got triggered for people by a
new eglibc upload, period.

The real bug here is that dpkg has decided that referring to
multi-arch:same packages without the :arch suffix is bad, wrong
and evil, and eglibc sprinkles "dpkg -L LIBC" and such all
over its maintainer scripts without adding an :arch qualifier.

I'll look at this tonight when I get off work and commit some
fixes, unless someone beats me to it.

... Adam




Added tag(s) pending. Request was from Adam Conrad <adconrad@alioth.debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 00:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#669172; Package libc6. (Wed, 18 Apr 2012 03:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 18 Apr 2012 03:06:07 GMT) Full text and rfc822 format available.

Message #23 received at 669172@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Adam Conrad <adconrad@0c3.net>, 669172@bugs.debian.org
Subject: Re: Bug#669172: libc6: preinst fails in -28 and since then also in -27
Date: Wed, 18 Apr 2012 05:03:25 +0200
Hi!

On Tue, 2012-04-17 at 22:38:21 +0000, Adam Conrad wrote:
> The real bug here is that dpkg has decided that referring to
> multi-arch:same packages without the :arch suffix is bad, wrong
> and evil, and eglibc sprinkles "dpkg -L LIBC" and such all
> over its maintainer scripts without adding an :arch qualifier.

As mentioned on the d-d-a mail, you should not unconditionally
arch-qualify packages, as those will be refused on non-multiarch
aware dpkg, but you can check if that's supported by using
«dpkg --assert-multi-arch».

thanks,
guillem




Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. (Wed, 18 Apr 2012 04:39:04 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Wed, 18 Apr 2012 04:39:04 GMT) Full text and rfc822 format available.

Message #28 received at 669172-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 669172-close@bugs.debian.org
Subject: Bug#669172: fixed in eglibc 2.13-29
Date: Wed, 18 Apr 2012 04:34:03 +0000
Source: eglibc
Source-Version: 2.13-29

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-29_all.deb
  to main/e/eglibc/eglibc-source_2.13-29_all.deb
eglibc_2.13-29.diff.gz
  to main/e/eglibc/eglibc_2.13-29.diff.gz
eglibc_2.13-29.dsc
  to main/e/eglibc/eglibc_2.13-29.dsc
glibc-doc_2.13-29_all.deb
  to main/e/eglibc/glibc-doc_2.13-29_all.deb
libc-bin_2.13-29_amd64.deb
  to main/e/eglibc/libc-bin_2.13-29_amd64.deb
libc-bin_2.13-29_i386.deb
  to main/e/eglibc/libc-bin_2.13-29_i386.deb
libc-dev-bin_2.13-29_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-29_amd64.deb
libc-dev-bin_2.13-29_i386.deb
  to main/e/eglibc/libc-dev-bin_2.13-29_i386.deb
libc6-amd64_2.13-29_i386.deb
  to main/e/eglibc/libc6-amd64_2.13-29_i386.deb
libc6-dbg_2.13-29_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-29_amd64.deb
libc6-dbg_2.13-29_i386.deb
  to main/e/eglibc/libc6-dbg_2.13-29_i386.deb
libc6-dev-amd64_2.13-29_i386.deb
  to main/e/eglibc/libc6-dev-amd64_2.13-29_i386.deb
libc6-dev-i386_2.13-29_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-29_amd64.deb
libc6-dev_2.13-29_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-29_amd64.deb
libc6-dev_2.13-29_i386.deb
  to main/e/eglibc/libc6-dev_2.13-29_i386.deb
libc6-i386_2.13-29_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-29_amd64.deb
libc6-i686_2.13-29_i386.deb
  to main/e/eglibc/libc6-i686_2.13-29_i386.deb
libc6-pic_2.13-29_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-29_amd64.deb
libc6-pic_2.13-29_i386.deb
  to main/e/eglibc/libc6-pic_2.13-29_i386.deb
libc6-prof_2.13-29_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-29_amd64.deb
libc6-prof_2.13-29_i386.deb
  to main/e/eglibc/libc6-prof_2.13-29_i386.deb
libc6-udeb_2.13-29_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-29_amd64.udeb
libc6-udeb_2.13-29_i386.udeb
  to main/e/eglibc/libc6-udeb_2.13-29_i386.udeb
libc6-xen_2.13-29_i386.deb
  to main/e/eglibc/libc6-xen_2.13-29_i386.deb
libc6_2.13-29_amd64.deb
  to main/e/eglibc/libc6_2.13-29_amd64.deb
libc6_2.13-29_i386.deb
  to main/e/eglibc/libc6_2.13-29_i386.deb
libnss-dns-udeb_2.13-29_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-29_amd64.udeb
libnss-dns-udeb_2.13-29_i386.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-29_i386.udeb
libnss-files-udeb_2.13-29_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-29_amd64.udeb
libnss-files-udeb_2.13-29_i386.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-29_i386.udeb
locales-all_2.13-29_amd64.deb
  to main/e/eglibc/locales-all_2.13-29_amd64.deb
locales-all_2.13-29_i386.deb
  to main/e/eglibc/locales-all_2.13-29_i386.deb
locales_2.13-29_all.deb
  to main/e/eglibc/locales_2.13-29_all.deb
multiarch-support_2.13-29_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-29_amd64.deb
multiarch-support_2.13-29_i386.deb
  to main/e/eglibc/multiarch-support_2.13-29_i386.deb
nscd_2.13-29_amd64.deb
  to main/e/eglibc/nscd_2.13-29_amd64.deb
nscd_2.13-29_i386.deb
  to main/e/eglibc/nscd_2.13-29_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Apr 2012 22:28:06 -0600
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: all amd64 i386 source
Version: 2.13-29
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Closes: 669172
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales-all - Embedded GNU C Library: Precompiled locale data
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Changes: 
 eglibc (2.13-29) unstable; urgency=low
 .
   * debian/debhelper.in/libc.{preinst,postinst}: Make use of dpkg's
     DPKG_MAINTSCRIPT_ARCH variable and guard it so it doesn't make
     older non-multi-arch dpkg versions have a sad (closes: #669172)
Package-Type: udeb
Checksums-Sha1: 
 a25db9141b6c40faa5eb1360b8d317c0985bf17e 1892376 glibc-doc_2.13-29_all.deb
 5e358ed6f2470f8043e8733fc25e24dbf721002c 13378122 eglibc-source_2.13-29_all.deb
 1288b501554fae0d95d8b08823f3aa38bf536178 5706638 locales_2.13-29_all.deb
 397f59f1dbdaa6aa548792aef0a764692ff8dc4c 4335400 libc6_2.13-29_amd64.deb
 565096f260144b37e5ce5078c2e6631e5331a00d 2646922 libc6-dev_2.13-29_amd64.deb
 9a1dcc68c3bdc3d2926fe586a0d55ecc5319bb0c 2088920 libc6-prof_2.13-29_amd64.deb
 1db2220f3d47182313faa1165f7dddf23d2d6e2e 1594822 libc6-pic_2.13-29_amd64.deb
 ba6994c50b01302f7530bf7023685c4cb2ede06a 1263784 libc-bin_2.13-29_amd64.deb
 1cdf35c8f9e5df7e64e569ca28c6c3bc672865a4 221270 libc-dev-bin_2.13-29_amd64.deb
 564d9bf1a3c67ad34571ba558769ada58c7379a5 145788 multiarch-support_2.13-29_amd64.deb
 c1faa5562d12480ef5f1306ccf75e4b7e502aa3a 3189968 locales-all_2.13-29_amd64.deb
 973e2c6c21f2a7fd9e632386ea810441a15adc19 4017302 libc6-i386_2.13-29_amd64.deb
 061720d144fcf4a38985bb949026b774ff9f84f4 1572098 libc6-dev-i386_2.13-29_amd64.deb
 722f73c890aaf918de50c7f4ed1fabd995afe4b3 209478 nscd_2.13-29_amd64.deb
 bf72df70fc9314834280166f0e88d6cc26a0d4aa 2571398 libc6-dbg_2.13-29_amd64.deb
 206ae87ed4134dbe31bb15cbf8c397c0376319db 1184078 libc6-udeb_2.13-29_amd64.udeb
 e464c12250a8a1048caa92f6defb39ab1044798f 11140 libnss-dns-udeb_2.13-29_amd64.udeb
 c3fb4e3894670b950da5f27a218203c42420b8c5 19320 libnss-files-udeb_2.13-29_amd64.udeb
 77a41ea13301c7e88e5536158dea8bde18082d6b 3924136 libc6_2.13-29_i386.deb
 27c858dd54ea029406fcac4f418a78a1d8bd4f3e 4898416 libc6-dev_2.13-29_i386.deb
 c62934f996f3f8fa3d25cb8c3d23438ea80950cf 1548124 libc6-prof_2.13-29_i386.deb
 69aec6ee806452c26229af383488fa3f747d6cb1 1234390 libc6-pic_2.13-29_i386.deb
 840b0603567bb171b4db9d36571041ccc1c52ed3 1205624 libc-bin_2.13-29_i386.deb
 d0784df7bcd56654cd3bb6ec3d628d8a6805e919 214658 libc-dev-bin_2.13-29_i386.deb
 e922509e036dfd98ee89c91d68c41d163424e05a 145790 multiarch-support_2.13-29_i386.deb
 1eb9c538b7fe50051a760fc9899966ee88099836 3215980 locales-all_2.13-29_i386.deb
 5a326aa9debf24b4a8ad53db4d9e4d3e9d5af94b 1238622 libc6-i686_2.13-29_i386.deb
 abecf5640769778cbbdd47ba10c12d3039119e85 1244314 libc6-xen_2.13-29_i386.deb
 a2f96ba42fefdea50175ae0bf4e5455c4be896cd 4380292 libc6-amd64_2.13-29_i386.deb
 797d16e1c7c0853605351e92fb557604258496b7 2246608 libc6-dev-amd64_2.13-29_i386.deb
 6dbfcb3ddada452564a6f6afe294622ae36bfc36 205552 nscd_2.13-29_i386.deb
 9fcd23090fb0afc2d36aeae004528da3109bb84e 3568402 libc6-dbg_2.13-29_i386.deb
 e2885a5e32f1f5f7aac14f12e9171b1fd83125bb 861584 libc6-udeb_2.13-29_i386.udeb
 27045f66a7f1cd2f206739479f444591e75bd948 10260 libnss-dns-udeb_2.13-29_i386.udeb
 4e6be4d9cb04e1bbe7d7c6be80beb7071df17edb 16734 libnss-files-udeb_2.13-29_i386.udeb
 973ccfef1d092f34c1ac95bd055826e17ba4dea1 4723 eglibc_2.13-29.dsc
 c61c19e4b962759b32a6aa2b59252e02e29e9d77 1822282 eglibc_2.13-29.diff.gz
Checksums-Sha256: 
 eb7828bfef23188cabd5f9563bc4281b11ff32da8e8f213de867ef8dce50eb61 1892376 glibc-doc_2.13-29_all.deb
 1d4ac89076e2cfe5073529fcbf32a2ab863bddb1f58bcc1338ed4be29f6016b2 13378122 eglibc-source_2.13-29_all.deb
 45c0d8450b79658772d4482111dde45d00bc67af6edf815d477f00b92bbc3b05 5706638 locales_2.13-29_all.deb
 fe178dea248408213bc8abbdde63f40419d89c0b1ce026110feb570b4f394cdc 4335400 libc6_2.13-29_amd64.deb
 67d86b3fd867c8b1d2af37dc45938e700864a33a8aef59e692cd551f9602d387 2646922 libc6-dev_2.13-29_amd64.deb
 3f7d5d6fc466afd39dc467a2fc65adf1765815fe20c840fa08938043d02d7cd4 2088920 libc6-prof_2.13-29_amd64.deb
 a87c3bfe3189c8873803899bff247413c4ec9709fbef998a7dff085935154f08 1594822 libc6-pic_2.13-29_amd64.deb
 3a54bcdc09eea57e72ba79d04dc11a3c31b03c87362452480b7bc7cf76686355 1263784 libc-bin_2.13-29_amd64.deb
 b6ba7a5f6b3117287f7e588b567daeae8d095346618cae998bda6813e2d8d6b2 221270 libc-dev-bin_2.13-29_amd64.deb
 d637e6338415f482e5f81b25d0fe6f6e1df69e845aef9f26532009ac0beed459 145788 multiarch-support_2.13-29_amd64.deb
 f8fb858b8bfb02662c01f279cfa06e3c2c6d8959bfe759fd249c79c808fda8ff 3189968 locales-all_2.13-29_amd64.deb
 6cfa9575f49f42450e591dea78bd40ea72b95584f2c329dbab187ce6176daab8 4017302 libc6-i386_2.13-29_amd64.deb
 cf2154b2fdb60c478507e9ba1121adfe9884eb5f5b359bed14201068e2c2d254 1572098 libc6-dev-i386_2.13-29_amd64.deb
 35ac920c7bb7c802d211de777b71a368bbfa9ba5e5abdc99e9bbe81288c3d5b8 209478 nscd_2.13-29_amd64.deb
 d51d5c2e5e3499c24c690956486e54cfb3eeb8329a863026863b6828dda9816f 2571398 libc6-dbg_2.13-29_amd64.deb
 687870724cd8728b6abd4869234c0c3d32d3e62961f763b27b16f81e18b23f66 1184078 libc6-udeb_2.13-29_amd64.udeb
 9f00830581923d924313f1cea3c0e8bea43e762bc0890262446877789894bbe2 11140 libnss-dns-udeb_2.13-29_amd64.udeb
 e8ff83ae6e0303c284d6762950bf75f82dc862ed21816794b02ca4ff5f73c68c 19320 libnss-files-udeb_2.13-29_amd64.udeb
 417ce5a05ec836958e61ef057633f3b27daaac978551cd175862018cad793e4f 3924136 libc6_2.13-29_i386.deb
 d91f92f023b1615b85ddf5757a8a121acd47c21470f22e20532e957d2c818aad 4898416 libc6-dev_2.13-29_i386.deb
 fa3f1a936a32d7187b22bc0f370159b7bf0263957f0d749221b192c2721a7f83 1548124 libc6-prof_2.13-29_i386.deb
 ec39aa78ee13e9e14062fb0c83fac151e6c5754c94ab06e7622dc2922269947a 1234390 libc6-pic_2.13-29_i386.deb
 d715a3b862c4c889f7ed82e4f18b199e6ad43b3d1e5d2cd0852e524794794760 1205624 libc-bin_2.13-29_i386.deb
 f362c4eeb477cba4f9544a4ee619d084911447b158bb22f52a62bb5e50865989 214658 libc-dev-bin_2.13-29_i386.deb
 2a5da56262d1c94d8301e911a5d1dcf915ba109ec4625fd0d0cdf62cb282057b 145790 multiarch-support_2.13-29_i386.deb
 8e10e5486c44eb5e23d70e03b920e48c23c57b0d5560f70b438b512de8b3d22d 3215980 locales-all_2.13-29_i386.deb
 1f6c76ff266c6137f5c773e0e060d6a462ada58f8c0595758d6bae395e23d883 1238622 libc6-i686_2.13-29_i386.deb
 017498fd585470a45c3479799c06bf3f6dd2beda92d7f9f7607bc99cfff2107a 1244314 libc6-xen_2.13-29_i386.deb
 68bcdc8dab50a6ef85ee32cc946a4ffdeec4576dcd0c06a108bcec75f0ec978a 4380292 libc6-amd64_2.13-29_i386.deb
 f62f4bebd1e76316c8d2b6b4d298bbbc619a9014ce8e294a5feb8dbffc103058 2246608 libc6-dev-amd64_2.13-29_i386.deb
 f28cc121d3a651bab9be75cef1a739cdf4b7c733eb67e02c5a8d1e346b74031e 205552 nscd_2.13-29_i386.deb
 514b352a12dce9bea0fe7fe1cb88f5fd23929ef799f5560bde19eafbdf494b35 3568402 libc6-dbg_2.13-29_i386.deb
 d739403868e3d38fb94c91f003ed41544d0f8bd3e6b9d3e8855d79d917ececab 861584 libc6-udeb_2.13-29_i386.udeb
 2ace9ba70da561e46eb4b12fff018aaf01d915f8256cf1e175faff4ad53c7274 10260 libnss-dns-udeb_2.13-29_i386.udeb
 6c2a58edbdff061ed46d063b8e73275ad3b4b4d91ddb2c8f1192a257bb2bbea4 16734 libnss-files-udeb_2.13-29_i386.udeb
 00448437c85db4b5640bf28073308993b7b6b0a7ea0be8224896becd4d7245b2 4723 eglibc_2.13-29.dsc
 0425b8ba28a0db9ab6b48ffc7a37abee8916769bb296426700c0f80671ee86e0 1822282 eglibc_2.13-29.diff.gz
Files: 
 08fe323fa6725cb5610df83022fac7bf 1892376 doc optional glibc-doc_2.13-29_all.deb
 17b220ffbe909596c4d7f1055b38a54c 13378122 devel optional eglibc-source_2.13-29_all.deb
 fb74fd9cc3fbf6d6725b70d22521bbc2 5706638 localization standard locales_2.13-29_all.deb
 514ac5991cd99efb27dd61ee5679c41b 4335400 libs required libc6_2.13-29_amd64.deb
 1aaf208b76f52f14618a550fdc85a368 2646922 libdevel optional libc6-dev_2.13-29_amd64.deb
 a7a28b8ad14e9d94876150504f0996fc 2088920 libdevel extra libc6-prof_2.13-29_amd64.deb
 3413e171d8ea723ef1def4cf151a94d3 1594822 libdevel optional libc6-pic_2.13-29_amd64.deb
 08a73673cfb3fd44b79a3f911bed2207 1263784 libs required libc-bin_2.13-29_amd64.deb
 5a9b18952154cebbeb1fa362aaefd7c1 221270 libdevel optional libc-dev-bin_2.13-29_amd64.deb
 68e1541962a32358fbe7e7b074804f66 145788 libs standard multiarch-support_2.13-29_amd64.deb
 ae253fc698cb56c77587ab506742cbed 3189968 localization extra locales-all_2.13-29_amd64.deb
 9bcfdfd2f0723f3e808026b8c9bcaaf2 4017302 libs optional libc6-i386_2.13-29_amd64.deb
 d758f0daf81e41db77deebc030e75eaa 1572098 libdevel optional libc6-dev-i386_2.13-29_amd64.deb
 fb5c734448894e08bba0c5a23f069bb9 209478 admin optional nscd_2.13-29_amd64.deb
 ff53626d50f26368a5d32fa262a3e918 2571398 debug extra libc6-dbg_2.13-29_amd64.deb
 97db025c8ffd7011488406b085786745 1184078 debian-installer extra libc6-udeb_2.13-29_amd64.udeb
 b604dabeecf8b5273e0957396eba2356 11140 debian-installer extra libnss-dns-udeb_2.13-29_amd64.udeb
 3f29ea3ef0ce9c8a33903fa6638295ed 19320 debian-installer extra libnss-files-udeb_2.13-29_amd64.udeb
 0fa7f5c5b57e2fa398e2436a2670cb38 3924136 libs required libc6_2.13-29_i386.deb
 b86ee70be9a0961902808a72af58be2b 4898416 libdevel optional libc6-dev_2.13-29_i386.deb
 c5cafdef491b94d726565d9adfeb6287 1548124 libdevel extra libc6-prof_2.13-29_i386.deb
 c19b1237b7628b8afd9b7dde23e46e7f 1234390 libdevel optional libc6-pic_2.13-29_i386.deb
 5c8ab16812d9e40e5ccbf14c459004a5 1205624 libs required libc-bin_2.13-29_i386.deb
 d257df2ede746451d7a1d42ac8984d82 214658 libdevel optional libc-dev-bin_2.13-29_i386.deb
 f96bea54c77f81acef23c73c277b3945 145790 libs standard multiarch-support_2.13-29_i386.deb
 5ca87633bb256512ee8e297488e6793b 3215980 localization extra locales-all_2.13-29_i386.deb
 84e5cebd5d05ef1453dcb2713e02e080 1238622 libs extra libc6-i686_2.13-29_i386.deb
 7e312b91b575a2657e00dd3547d9efdb 1244314 libs extra libc6-xen_2.13-29_i386.deb
 166bf44efe6cc9dd16507bdcde8b6f41 4380292 libs standard libc6-amd64_2.13-29_i386.deb
 5a2d0761dd0ec65771759ba7a4e2d52d 2246608 libdevel optional libc6-dev-amd64_2.13-29_i386.deb
 051467e7152cd12b1c4b4a1f72aaab92 205552 admin optional nscd_2.13-29_i386.deb
 c016963ee85db8c1697ab6b945c1832b 3568402 debug extra libc6-dbg_2.13-29_i386.deb
 de87e79f2535b57a48c8bb50930f425a 861584 debian-installer extra libc6-udeb_2.13-29_i386.udeb
 59aa9816d06bb3864ae364fd579b3c23 10260 debian-installer extra libnss-dns-udeb_2.13-29_i386.udeb
 02c1f4e407bc0db5cc49f4fbb2b5a53d 16734 debian-installer extra libnss-files-udeb_2.13-29_i386.udeb
 039bc90fb4ff9af559a56edefc21c388 4723 libs required eglibc_2.13-29.dsc
 9d6e1c580c73b2d6ff6d95d0d89a455a 1822282 libs required eglibc_2.13-29.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+OQUcACgkQvjztR8bOoMnsUQCg5AQ5MPYvOe5YHKl40b0vuHyx
E1AAoIBeBC/f2kq5xw64hiBMOpGdN176
=dRSh
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#669172; Package libc6. (Wed, 18 Apr 2012 10:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Wed, 18 Apr 2012 10:48:14 GMT) Full text and rfc822 format available.

Message #33 received at 669172@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Adam Conrad <adconrad@0c3.net>
Cc: 669172@bugs.debian.org
Subject: Re: Bug#669172: libc6: preinst fails in -28 and since then also in -27
Date: Wed, 18 Apr 2012 12:44:33 +0200
found 669172 2.13-29
thanks

On 2012-04-18 00:38 +0200, Adam Conrad wrote:

> The reason this fails in -27 as well as -28 is because it has
> nothing to do with -28, it just got triggered for people by a
> new eglibc upload, period.
>
> The real bug here is that dpkg has decided that referring to
> multi-arch:same packages without the :arch suffix is bad, wrong
> and evil, and eglibc sprinkles "dpkg -L LIBC" and such all
> over its maintainer scripts without adding an :arch qualifier.
>
> I'll look at this tonight when I get off work and commit some
> fixes, unless someone beats me to it.

Alas, the fix that has been uploaded breaks with squeeze's dpkg which
knows about DPKG_MAINTSCRIPT_ARCH but not about the package:arch syntax,
so libc6 2.13-29 fails to unpack:

,----
| # dpkg --version
| Debian `dpkg' package management program version 1.15.8.12 (i386).
| This is free software; see the GNU General Public License version 2 or
| later for copying conditions. There is NO warranty.
| # dpkg -l libc6:i386
| No packages found matching libc6:i386.
| # dpkg --unpack /var/cache/apt/archives/libc6_2.13-29_i386.deb 
| (Reading database ... 9738 files and directories currently installed.)
| Preparing to replace libc6 2.11.3-2 (using .../libc6_2.13-29_i386.deb) ...
| Checking for services that may need to be restarted...
| Checking init scripts...
| dpkg: error processing /var/cache/apt/archives/libc6_2.13-29_i386.deb (--unpack):
|  subprocess new pre-installation script returned error exit status 1
| Errors were encountered while processing:
|  /var/cache/apt/archives/libc6_2.13-29_i386.deb
`----

Cheers,
       Sven




Marked as found in versions eglibc/2.13-29; no longer marked as fixed in versions eglibc/2.13-29 and reopened. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Wed, 18 Apr 2012 10:48:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Adam Conrad <adconrad@alioth.debian.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 11:36:04 GMT) Full text and rfc822 format available.

Reply sent to Adam Conrad <adconrad@0c3.net>:
You have taken responsibility. (Wed, 18 Apr 2012 21:08:21 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <abe@debian.org>:
Bug acknowledged by developer. (Wed, 18 Apr 2012 21:08:40 GMT) Full text and rfc822 format available.

Message #42 received at 669172-close@bugs.debian.org (full text, mbox):

From: Adam Conrad <adconrad@0c3.net>
To: 669172-close@bugs.debian.org
Subject: Bug#669172: fixed in eglibc 2.13-30
Date: Wed, 18 Apr 2012 21:06:44 +0000
Source: eglibc
Source-Version: 2.13-30

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-30_all.deb
  to main/e/eglibc/eglibc-source_2.13-30_all.deb
eglibc_2.13-30.diff.gz
  to main/e/eglibc/eglibc_2.13-30.diff.gz
eglibc_2.13-30.dsc
  to main/e/eglibc/eglibc_2.13-30.dsc
glibc-doc_2.13-30_all.deb
  to main/e/eglibc/glibc-doc_2.13-30_all.deb
libc-bin_2.13-30_amd64.deb
  to main/e/eglibc/libc-bin_2.13-30_amd64.deb
libc-bin_2.13-30_i386.deb
  to main/e/eglibc/libc-bin_2.13-30_i386.deb
libc-dev-bin_2.13-30_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-30_amd64.deb
libc-dev-bin_2.13-30_i386.deb
  to main/e/eglibc/libc-dev-bin_2.13-30_i386.deb
libc6-amd64_2.13-30_i386.deb
  to main/e/eglibc/libc6-amd64_2.13-30_i386.deb
libc6-dbg_2.13-30_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-30_amd64.deb
libc6-dbg_2.13-30_i386.deb
  to main/e/eglibc/libc6-dbg_2.13-30_i386.deb
libc6-dev-amd64_2.13-30_i386.deb
  to main/e/eglibc/libc6-dev-amd64_2.13-30_i386.deb
libc6-dev-i386_2.13-30_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-30_amd64.deb
libc6-dev_2.13-30_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-30_amd64.deb
libc6-dev_2.13-30_i386.deb
  to main/e/eglibc/libc6-dev_2.13-30_i386.deb
libc6-i386_2.13-30_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-30_amd64.deb
libc6-i686_2.13-30_i386.deb
  to main/e/eglibc/libc6-i686_2.13-30_i386.deb
libc6-pic_2.13-30_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-30_amd64.deb
libc6-pic_2.13-30_i386.deb
  to main/e/eglibc/libc6-pic_2.13-30_i386.deb
libc6-prof_2.13-30_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-30_amd64.deb
libc6-prof_2.13-30_i386.deb
  to main/e/eglibc/libc6-prof_2.13-30_i386.deb
libc6-udeb_2.13-30_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-30_amd64.udeb
libc6-udeb_2.13-30_i386.udeb
  to main/e/eglibc/libc6-udeb_2.13-30_i386.udeb
libc6-xen_2.13-30_i386.deb
  to main/e/eglibc/libc6-xen_2.13-30_i386.deb
libc6_2.13-30_amd64.deb
  to main/e/eglibc/libc6_2.13-30_amd64.deb
libc6_2.13-30_i386.deb
  to main/e/eglibc/libc6_2.13-30_i386.deb
libnss-dns-udeb_2.13-30_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-30_amd64.udeb
libnss-dns-udeb_2.13-30_i386.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-30_i386.udeb
libnss-files-udeb_2.13-30_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-30_amd64.udeb
libnss-files-udeb_2.13-30_i386.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-30_i386.udeb
locales-all_2.13-30_amd64.deb
  to main/e/eglibc/locales-all_2.13-30_amd64.deb
locales-all_2.13-30_i386.deb
  to main/e/eglibc/locales-all_2.13-30_i386.deb
locales_2.13-30_all.deb
  to main/e/eglibc/locales_2.13-30_all.deb
multiarch-support_2.13-30_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-30_amd64.deb
multiarch-support_2.13-30_i386.deb
  to main/e/eglibc/multiarch-support_2.13-30_i386.deb
nscd_2.13-30_amd64.deb
  to main/e/eglibc/nscd_2.13-30_amd64.deb
nscd_2.13-30_i386.deb
  to main/e/eglibc/nscd_2.13-30_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 669172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Conrad <adconrad@0c3.net> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Apr 2012 05:08:21 -0600
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: all amd64 i386 source
Version: 2.13-30
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Adam Conrad <adconrad@0c3.net>
Closes: 669172
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales-all - Embedded GNU C Library: Precompiled locale data
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Changes: 
 eglibc (2.13-30) unstable; urgency=low
 .
   * Guard DPKG_MAINTSCRIPT_ARCH usage with dpkg --assert-multi-arch,
     since squeeze's dpkg has a half-implementation (closes: #669172)
Package-Type: udeb
Checksums-Sha1: 
 42583e3784332ca507180e02a7fa6b528c2490b0 1892428 glibc-doc_2.13-30_all.deb
 0d6e5674e657f8ca9ad339256724a5ec7f091889 13378028 eglibc-source_2.13-30_all.deb
 d3aa5ecac28acc445ec5b7ec4ac00adb0a775f54 5706322 locales_2.13-30_all.deb
 567a3e63c95172e8b224a79a6e60f3807ea80ae9 4335604 libc6_2.13-30_amd64.deb
 5aee1775f33f0c8b0ee9c20d30c58a0cf1183b64 2647108 libc6-dev_2.13-30_amd64.deb
 658a59d0675de6f962ac6004a241e950c8502cbf 2088988 libc6-prof_2.13-30_amd64.deb
 87ac8e5a4d056dcecec9e92865fb46a1521f845d 1594868 libc6-pic_2.13-30_amd64.deb
 a4d397815805289bbdee3adbdaf23904dd77b602 1263836 libc-bin_2.13-30_amd64.deb
 eccfdd0c529fc0f6530863bd437f9203b5571be6 221340 libc-dev-bin_2.13-30_amd64.deb
 567d421cd435d6b7bb87042080ae0083630aee24 145862 multiarch-support_2.13-30_amd64.deb
 ea124b579135551e5e48db2fa7eb6c3ecbdfdf2c 3206988 locales-all_2.13-30_amd64.deb
 84b601d40ef5d4c23032627ed413bbdcad5f4994 4017400 libc6-i386_2.13-30_amd64.deb
 1d08b0c132c07368bd9af6290e2387f975f061fc 1572204 libc6-dev-i386_2.13-30_amd64.deb
 075a2244d00fa45e8fdf6d52e309a0477d9d78db 209550 nscd_2.13-30_amd64.deb
 5a0e07e756cd3ea272b4be6bf48106b1e24c034e 2571550 libc6-dbg_2.13-30_amd64.deb
 5a502fb0e236fdabc97d853a471c5ef228df23cd 1184084 libc6-udeb_2.13-30_amd64.udeb
 af18e47c063a5f93812515dbe1f14054a2286a67 11136 libnss-dns-udeb_2.13-30_amd64.udeb
 975b94888df36e0424cc6a6f4a279a7d28014937 19320 libnss-files-udeb_2.13-30_amd64.udeb
 1a259fe2fd5fa5ed1d8c2ccccece09a6ac0e1fa7 3924358 libc6_2.13-30_i386.deb
 fcb88f799c0a56e039161c96d60683bfad0c866b 4898448 libc6-dev_2.13-30_i386.deb
 028f28e792963433a21216b926de6e3d0a65b2f7 1548190 libc6-prof_2.13-30_i386.deb
 d60ebe6ce77d45db5d4c386cce979ed38a770d34 1234520 libc6-pic_2.13-30_i386.deb
 5b2bb50495119f71a1722fafff9a1a59852598a9 1205728 libc-bin_2.13-30_i386.deb
 5981523bd07a4e91928c44e61b74315afe6ca48e 214722 libc-dev-bin_2.13-30_i386.deb
 50f0fbd22ef4f9e93a07ef6b6aaf2e95da8cad3f 145862 multiarch-support_2.13-30_i386.deb
 840cd275f29214a601984b7932d4a17612580f99 3216044 locales-all_2.13-30_i386.deb
 df0731d5c428deed9a9eb9ceac8e2806d269cf82 1238710 libc6-i686_2.13-30_i386.deb
 2193e0e1f7f2b5768e1122b9cef22b166a248363 1244310 libc6-xen_2.13-30_i386.deb
 229c345c0c9daa5e7b1203b5d22fd23103a52b56 4380448 libc6-amd64_2.13-30_i386.deb
 432617c23ff1410b6db844c42cfd56f07cb59f26 2246678 libc6-dev-amd64_2.13-30_i386.deb
 b2eb3c0a5933b9017d32c7a79ee4eec1ddc9494f 205632 nscd_2.13-30_i386.deb
 ed25b444d8ad47b0655fa6d752d456b71b890fdf 3570338 libc6-dbg_2.13-30_i386.deb
 3bf4f215f6dc6e835f12258afd093a059c870fb0 861590 libc6-udeb_2.13-30_i386.udeb
 76f965d74f36c2edde2ab7700b26233fe6caea7f 10256 libnss-dns-udeb_2.13-30_i386.udeb
 a09f1a09ddf9ef5f1477f9e8c4eb5ffe3e371869 16724 libnss-files-udeb_2.13-30_i386.udeb
 75493636bd9daf21211df19484f2656c5238fdae 4723 eglibc_2.13-30.dsc
 deb411003b562fc649cb536803349cb90dfb94b4 1822446 eglibc_2.13-30.diff.gz
Checksums-Sha256: 
 42cd7432ff96dd9d89c92768c2be26920c2c63d8ae131556a3498cdd228824b3 1892428 glibc-doc_2.13-30_all.deb
 281aaa4c321f4bb84c8bae023382ebefbe55330241aac4c9136a29571af13088 13378028 eglibc-source_2.13-30_all.deb
 2ad695dd7afa8799824d26a804ae035f492324c8ba212c21b4f5f7eb456cd168 5706322 locales_2.13-30_all.deb
 99f921935692e8f592e0fe11465df8e501eef95c56c98666c8cf93a4d0365906 4335604 libc6_2.13-30_amd64.deb
 eb940b03d3a58f5c06568b1836f7fabb55269f5763b6517d19ab438ca2e87323 2647108 libc6-dev_2.13-30_amd64.deb
 92e7c81daf3050096e2951640e24c91c9e0d74f8cb2200c23f3a08e2e45118e4 2088988 libc6-prof_2.13-30_amd64.deb
 ade7ffb05e377a609bf3f97b8f4a66d3f6cf52bb949f44c59642b917ad69546c 1594868 libc6-pic_2.13-30_amd64.deb
 03c50d3e79b4f9b66d548b2b8da20067378fd14953b923171a4677aae175e450 1263836 libc-bin_2.13-30_amd64.deb
 9950235ce41a6629902fa5972296efd3e924221e66f27ca35afaa1ed9997f5ac 221340 libc-dev-bin_2.13-30_amd64.deb
 f91007eeaecaee6b7ccf4b1748ddc395e05dad95aedd6f04f8b7277b88eb8986 145862 multiarch-support_2.13-30_amd64.deb
 4ff8e17bbd773d921528b30296d9d6ac080895453397a91b9763cfb1a5e8bc6b 3206988 locales-all_2.13-30_amd64.deb
 8596344ece5efe000904b5ef1ecdbb54e2e533776653f1fc43823645ba597e7c 4017400 libc6-i386_2.13-30_amd64.deb
 a71e8953e071672655cc3ebb1a82ca3958d4a830b8e73c4b5e0a0933429d0e9d 1572204 libc6-dev-i386_2.13-30_amd64.deb
 5b68aa509e407cd9c7ebf107b53cec73c8ff3513a94202faa936b66982cf7db7 209550 nscd_2.13-30_amd64.deb
 f52f5c70ffae5b44c1ca82f14e6b27207bbe22aecb5c517db18f17fc19b08b45 2571550 libc6-dbg_2.13-30_amd64.deb
 04f107490a73b133d49512c22baf62a11f33cb8f3e3c2df3c33166717a665ae7 1184084 libc6-udeb_2.13-30_amd64.udeb
 4d634a0783cc171c42af15e9f88756f6791288ada1ed1cc0fab21cbb3d20e673 11136 libnss-dns-udeb_2.13-30_amd64.udeb
 93dd6620b657bc75d987041eb0bec9b7a9dea5b7bf250d865940615ebf924688 19320 libnss-files-udeb_2.13-30_amd64.udeb
 766113e8b965ed1c52693a1a2a3095211e5bd3d45f9e741a7de680ba7c33e85a 3924358 libc6_2.13-30_i386.deb
 083ec52f33b3be0dc490f1b771aa839b43dea6451b9a4a8b9276984c6e4a5ed1 4898448 libc6-dev_2.13-30_i386.deb
 79ba9069f7ada31fcaa5335827a83c2ab57a26e2fa17aaab8350d545e7e9ba70 1548190 libc6-prof_2.13-30_i386.deb
 63dab95de5662a5004c81155e008a8333f6d743ffbfe97d87887de6d44daedbd 1234520 libc6-pic_2.13-30_i386.deb
 9d9e9f990cbd569ffca762b980e15698e03c3d146a934d3f8151b7e7144470af 1205728 libc-bin_2.13-30_i386.deb
 145a09ff3809629cab7b26b30435d438410e05b3ac84cd1f874950f9e5c2a5ad 214722 libc-dev-bin_2.13-30_i386.deb
 ef2c6420249228329df5b44d9519bea15e7dc17c00121f59fe27f31a7cac5467 145862 multiarch-support_2.13-30_i386.deb
 c1b68b75061fe8fd4385a17b3bf6a761d66458281c9d3178a3f8f9f3a1e70e78 3216044 locales-all_2.13-30_i386.deb
 adb2ef3753cceaa521dac9eeeed833490619bbe6035f34602f07b73c0e810849 1238710 libc6-i686_2.13-30_i386.deb
 a82184fe7e74c1d3c61735d5a08742e0cf15e88f8f6812548036b275a79e3f3e 1244310 libc6-xen_2.13-30_i386.deb
 8ea593f3f95f0339fb985f565a74bfdf1a5e3480c143071b1d1d1bb7a7102b49 4380448 libc6-amd64_2.13-30_i386.deb
 804ec9f1dba987211cc843dd2b3ffb6b5a3a04d1d81929e08615de9bd14acfa7 2246678 libc6-dev-amd64_2.13-30_i386.deb
 f440f0584b8c5d5b5473b9614b9bcbb702f4fb0b807903a744a8552ffdd47cc5 205632 nscd_2.13-30_i386.deb
 b94b80d48d332cce515769af000fdbb0cc658c50dc26802ae59d05274023f641 3570338 libc6-dbg_2.13-30_i386.deb
 50808134c1a859069975248c2891dd1c23ff506cf10b800e5f42a9102c588c5a 861590 libc6-udeb_2.13-30_i386.udeb
 281c134d90b26fa6adaacc0ac3a7f44c9b3b4279f9855121e7e084d4665a6347 10256 libnss-dns-udeb_2.13-30_i386.udeb
 1a75d9f1e2acd6b94d24c1172a12819d2d4362f0efcdb51aada112826763b8c1 16724 libnss-files-udeb_2.13-30_i386.udeb
 ca2465e21357b8ecfc5e326188bd5b04a794b7c6a282c34c19fec9fd5c021986 4723 eglibc_2.13-30.dsc
 7a8ab5c10d6d1cd380f61ed90c52361b435349920ed39dfe558f6ee2426f38c7 1822446 eglibc_2.13-30.diff.gz
Files: 
 d7f7de64427ce15b869cb4deeb237780 1892428 doc optional glibc-doc_2.13-30_all.deb
 60be605ed9b7f354da71690c2d8136dd 13378028 devel optional eglibc-source_2.13-30_all.deb
 369735b3eb7a487027c8cf2d71ea1f7a 5706322 localization standard locales_2.13-30_all.deb
 47b771f68c1b2ed055f6f516bcce762d 4335604 libs required libc6_2.13-30_amd64.deb
 f24ab417de1134ed87c1304674e27f62 2647108 libdevel optional libc6-dev_2.13-30_amd64.deb
 02fb78a7d51a012923591a6811b63e47 2088988 libdevel extra libc6-prof_2.13-30_amd64.deb
 12cf9f7bc6a24d5d0a1fad8c4041eaa2 1594868 libdevel optional libc6-pic_2.13-30_amd64.deb
 733245951863f373ad66111d0b26fbc8 1263836 libs required libc-bin_2.13-30_amd64.deb
 a03205c25cecd8c3df24ca28e1f92564 221340 libdevel optional libc-dev-bin_2.13-30_amd64.deb
 6e66031899c3d5bedcb5d0ed688589a7 145862 libs standard multiarch-support_2.13-30_amd64.deb
 fd4f2bb0f89dc8e30691e7383ebe6ba5 3206988 localization extra locales-all_2.13-30_amd64.deb
 066b19b4f255eec5b2a827c637aa84a5 4017400 libs optional libc6-i386_2.13-30_amd64.deb
 db48e5c6463f76c8527e7c2f950332ef 1572204 libdevel optional libc6-dev-i386_2.13-30_amd64.deb
 2ba99703586c360ebe6b0f56989cccf6 209550 admin optional nscd_2.13-30_amd64.deb
 f07dc9de6c93ab75a1273d6caa6db794 2571550 debug extra libc6-dbg_2.13-30_amd64.deb
 e1d7e481fb3f21e6475ffb783dc44b6d 1184084 debian-installer extra libc6-udeb_2.13-30_amd64.udeb
 a7fddcaccab93f49aec2b170517dd9c2 11136 debian-installer extra libnss-dns-udeb_2.13-30_amd64.udeb
 81ca0150363031f5d53173ebc5b61791 19320 debian-installer extra libnss-files-udeb_2.13-30_amd64.udeb
 e34e7ec3ae51cd1de1b0df492e8001fb 3924358 libs required libc6_2.13-30_i386.deb
 273d86f101441b3c68a302173fbcdcf2 4898448 libdevel optional libc6-dev_2.13-30_i386.deb
 7ff5cba3c45d58c070aa83579e6fa23e 1548190 libdevel extra libc6-prof_2.13-30_i386.deb
 95d9ce8db5fb8588fe72ab623691cf6c 1234520 libdevel optional libc6-pic_2.13-30_i386.deb
 1d7643dddb59777b5fa8591aa47d60d5 1205728 libs required libc-bin_2.13-30_i386.deb
 6dfee314cb07e226546358feef5944da 214722 libdevel optional libc-dev-bin_2.13-30_i386.deb
 b6d76a4da023dd409d4b6c48ec1b2103 145862 libs standard multiarch-support_2.13-30_i386.deb
 2ee202540253ee949517cbc5ee4f4262 3216044 localization extra locales-all_2.13-30_i386.deb
 07592283808bc49533c2b4f4305f4f19 1238710 libs extra libc6-i686_2.13-30_i386.deb
 0f084b185ad18369a7fdaacc3a4bdd31 1244310 libs extra libc6-xen_2.13-30_i386.deb
 39427ab85102ba9011d75e6c0f7fe431 4380448 libs standard libc6-amd64_2.13-30_i386.deb
 c7676643c16eb00312e039a04bc7097c 2246678 libdevel optional libc6-dev-amd64_2.13-30_i386.deb
 026048561adb9f351be1760d70a8f3c8 205632 admin optional nscd_2.13-30_i386.deb
 c335a8049d4f3291522710f156a372e2 3570338 debug extra libc6-dbg_2.13-30_i386.deb
 e344141fc0b2259edcc03618ef8055de 861590 debian-installer extra libc6-udeb_2.13-30_i386.udeb
 134b874c6c7214bc62252e17a9a34135 10256 debian-installer extra libnss-dns-udeb_2.13-30_i386.udeb
 de18e932745de41b59b113185bbdd5ba 16724 debian-installer extra libnss-files-udeb_2.13-30_i386.udeb
 28a687d79627e7cebfad17ba93fcf698 4723 libs required eglibc_2.13-30.dsc
 f6e98d63fa5520b6a4c693f81f491661 1822446 libs required eglibc_2.13-30.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+PHTEACgkQvjztR8bOoMlSAACgk3PSCBFHdSfPgmYG/DLqc5WV
dgcAoM+mzIeGQI6IVgZrGSapS96p9ctC
=fOGT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:37:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:40:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.